aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.QueueAttributes

# Documentation

data GetQueueAttributes Source #

Constructors

GetQueueAttributes |

Fields

- gqaQueueName :: QueueName
- gqaAttributes :: [QueueAttribute]

#### Instances

Instances details

SignQuery GetQueueAttributes Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ServiceConfiguration GetQueueAttributes |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration

Methods

signQuery :: GetQueueAttributes -> ServiceConfiguration GetQueueAttributes queryType -> SignatureData -> SignedQuery Source #

Show GetQueueAttributes Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> GetQueueAttributes -> ShowS Source # show :: GetQueueAttributes -> String Source # showList :: [GetQueueAttributes] -> ShowS Source #
Transaction GetQueueAttributes GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type ServiceConfiguration GetQueueAttributes Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration

data GetQueueAttributesResponse Source #

Constructors

GetQueueAttributesResponse |

Fields

- gqarAttributes :: [(QueueAttribute, Text)]

#### Instances

Instances details

AsMemoryResponse GetQueueAttributesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse

Methods

loadToMemory :: GetQueueAttributesResponse -> ResourceT IO (MemoryResponse GetQueueAttributesResponse) Source #

Show GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> GetQueueAttributesResponse -> ShowS Source # show :: GetQueueAttributesResponse -> String Source # showList :: [GetQueueAttributesResponse] -> ShowS Source #
ResponseConsumer r GetQueueAttributesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ResponseMetadata GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetQueueAttributesResponse) -> HTTPResponseConsumer GetQueueAttributesResponse Source #

Transaction GetQueueAttributes GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type MemoryResponse GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse
type ResponseMetadata GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata

parseAttributes :: Cursor -> [(QueueAttribute, Text)] Source #

formatAttributes :: [QueueAttribute] -> [(ByteString, Maybe ByteString)] Source #

data SetQueueAttributes Source #

Constructors

SetQueueAttributes |

Fields

- sqaAttribute :: QueueAttribute
- sqaValue :: Text
- sqaQueueName :: QueueName

#### Instances

Instances details

SignQuery SetQueueAttributes Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ServiceConfiguration SetQueueAttributes |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

Methods

signQuery :: SetQueueAttributes -> ServiceConfiguration SetQueueAttributes queryType -> SignatureData -> SignedQuery Source #

Show SetQueueAttributes Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> SetQueueAttributes -> ShowS Source # show :: SetQueueAttributes -> String Source # showList :: [SetQueueAttributes] -> ShowS Source #
Transaction SetQueueAttributes SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type ServiceConfiguration SetQueueAttributes Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

data SetQueueAttributesResponse Source #

Constructors

SetQueueAttributesResponse |

#### Instances

Instances details

AsMemoryResponse SetQueueAttributesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse

Methods

loadToMemory :: SetQueueAttributesResponse -> ResourceT IO (MemoryResponse SetQueueAttributesResponse) Source #

Show SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> SetQueueAttributesResponse -> ShowS Source # show :: SetQueueAttributesResponse -> String Source # showList :: [SetQueueAttributesResponse] -> ShowS Source #
ResponseConsumer r SetQueueAttributesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ResponseMetadata SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SetQueueAttributesResponse) -> HTTPResponseConsumer SetQueueAttributesResponse Source #

Transaction SetQueueAttributes SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type MemoryResponse SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse
type ResponseMetadata SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata